#!/bin/sh

#lnOF="usbtuner-2009-09-14"

BinPATH="/usr/bin/"
DAEMON="usbtuner"

if [ ! "$lnOF" = "" ]; then
	rm -f "$BinPATH$DAEMON"
	ln -s "$BinPATH$lnOF" "$BinPATH$DAEMON"
fi

case "$1" in
  start)
	test -f $BinPATH$DAEMON || exit 0
	chmod 755 "$BinPATH$DAEMON"
	;;
  stop)
	start-stop-daemon -K -p /var/run/$DAEMON.pid
	exit 0
	;;
  restart)
	start-stop-daemon -K -p /var/run/$DAEMON.pid
	$0 start
	exit 0
	;;
  *)
	echo "Usage: $0 {start|stop|restart}"
	exit 1
	;;
esac

/etc/dvbt/af9015.sh

cnt=1
while [[ -d /dev/dvb/adapter${cnt} ]]
do
	#/usr/bin/usbtuner ${cnt} >/dev/null 2>&1 &
	start-stop-daemon -S -b -m -p /var/run/$DAEMON.pid -x $BinPATH$DAEMON ${cnt}
	let cnt=$cnt+1
done

exit 0
